Page MenuHomePhabricator

[AArch64] Remove references to Streaming SVE from target features.
ClosedPublic

Authored by sdesmalen on May 19 2022, 7:47 AM.

Details

Summary

Following discussion on D120261 and D121208 it seems better to remove the
concept of Streaming SVE from the subtarget/assembler predicates and
instead reason about 'SVE' and 'SME' as its higher level features, rather
than trying to model this runtime mode through explicit feature flags.

This patch is largely NFC.

Diff Detail

Event Timeline

sdesmalen created this revision.May 19 2022, 7:47 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 19 2022, 7:47 AM
sdesmalen requested review of this revision.May 19 2022, 7:47 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 19 2022, 7:47 AM
This revision is now accepted and ready to land.May 20 2022, 6:52 AM
paulwalker-arm added inline comments.May 20 2022, 8:13 AM
llvm/test/CodeGen/AArch64/sve-intrinsics-counting-elems.ll
5

Probably a future patch but +sme should really imply +use-scalar-inc-vl as it does for +sve2.

llvm/test/MC/AArch64/SME/feature.s
5

I think you meant +sve here?

llvm/test/MC/AArch64/SME/streaming-mode-neon-bf16.s
2–3

It looks like we have +sme implying +bf16 so can this RUN line be removed and the +bf16 removed from the other RUN lines?

llvm/test/MC/AArch64/SME/streaming-mode-neon.s
2–3

This is now a duplicate of the previous run line.

paulwalker-arm added inline comments.May 20 2022, 8:15 AM
llvm/test/MC/AArch64/SME/feature.s
5

Or rather something like "Verify +sme flag enables streaming compatible SVE instructions."

Matt added a subscriber: Matt.May 25 2022, 2:11 PM
sdesmalen updated this revision to Diff 432916.Mon, May 30, 7:28 AM
sdesmalen marked 5 inline comments as done.

Addressed @paulwalker-arm's comments.

paulwalker-arm accepted this revision.Mon, May 30, 7:34 AM
This revision was landed with ongoing or failed builds.Tue, May 31, 7:25 AM
This revision was automatically updated to reflect the committed changes.